| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
mma955x_DeviceDescriptor_t Struct Reference
fsl_mma955x module documentation

`#include <fsl_mma955x_i2cspi_pedo.h>`

Collaboration diagram for mma955x_DeviceDescriptor_t:

## Data Fields
dm_ChannelDescriptor_t | cDescriptor
dm_DeviceDescriptor_t | deviceHandle
LWSEM_STRUCT | deviceSemaphore
bm_callback_token_t | token
mma955x_DataBuffer_t * | pCurrentSample
mma955x_appConfigRegister_t | localCfgBuffer
uint8 | localCfgBufSize
uint8 | tempReadBuffer [32]

## Detailed Description

Definition at line 41 of file fsl_mma955x_i2cspi_pedo.h.

## Field Documentation

dm_ChannelDescriptor_t cDescriptor

Device Messaging channel descriptor

Definition at line 42 of file fsl_mma955x_i2cspi_pedo.h.

Referenced by fsl_mma955x_Initialize().

dm_DeviceDescriptor_t deviceHandle

Device messaging device handle.

Definition at line 43 of file fsl_mma955x_i2cspi_pedo.h.

Referenced by fsl_mma955x_Configure(), fsl_mma955x_EndData(), fsl_mma955x_Initialize(), fsl_mma955x_Shutdown(), fsl_mma955x_StartData(), mma955x_GetConfig(), mma955x_GetData(), mma955x_GetPedometerData(), mma955x_ValidateConfig(), and mma955x_WriteConfig().

LWSEM_STRUCT deviceSemaphore

Task synchronization mechanism for this data structure.

Definition at line 44 of file fsl_mma955x_i2cspi_pedo.h.

Referenced by fsl_mma955x_Configure(), fsl_mma955x_EndData(), fsl_mma955x_Initialize(), fsl_mma955x_PeriodicCallback(), and fsl_mma955x_StartData().

mma955x_appConfigRegister_t localCfgBuffer

Hold a local copy of the mma955x App config registers

Definition at line 47 of file fsl_mma955x_i2cspi_pedo.h.

Referenced by fsl_mma955x_Initialize().

uint8 localCfgBufSize

Number of bytes on the localCfgBuffer array

Definition at line 48 of file fsl_mma955x_i2cspi_pedo.h.

mma955x_DataBuffer_t* pCurrentSample

Holds the most recently read sample

Definition at line 46 of file fsl_mma955x_i2cspi_pedo.h.

Referenced by fsl_mma955x_Initialize(), and fsl_mma955x_PeriodicCallback().

uint8 tempReadBuffer[32]

scratch buffer for result of miscellaneous reads

Definition at line 49 of file fsl_mma955x_i2cspi_pedo.h.

bm_callback_token_t token

Bus Manager handle

Definition at line 45 of file fsl_mma955x_i2cspi_pedo.h.

Referenced by fsl_mma955x_Configure(), fsl_mma955x_EndData(), fsl_mma955x_Shutdown(), and fsl_mma955x_StartData().

The documentation for this struct was generated from the following file:

- SensorSpecific/fsl_mma955x_i2cspi_pedo.h

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.